# This module its only used to pass to the imported modules which is the working_precision.
# The working precision might differ in different scenarios:
# i.e. double precision when implementing the emulator, single precision when modifying the code.

# I'll keep double by default, so everything will work as before except in the places where we specifically change it
precision2type = {52: "double", 23: "single"}
type2precision = {"double": 52, "single": 23}
wp = "double"
sp = "single"
dp = "double"
real_types = [sp, dp]
lookup_table = {'WP': wp,
                'default': wp,
                'kind=wp': wp,
                'KIND=wp': wp,
                'wp': wp,
                '8': dp,
                'dp': dp,
                'KIND=dp': dp,
                'KIND=fbdp': dp,
                'KIND=8': dp,
                'sp': sp,
                'fbsp': sp,
                'kind=fbsp': sp,
                'kind=sp': sp,
                'KIND=fbsp': sp,
                'wp_out': sp
                }